boltzmann_sampling.h File Reference
RNA Secondary Structure Prediction » Computing Partition Functions and Pair Probabilities

Boltzmann Sampling of secondary structures from the ensemble. More...

Include dependency graph for boltzmann_sampling.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

char * | vrna_pbacktrack5 (vrna_fold_compound_t *vc, int length)
| Sample a secondary structure of a subsequence from the Boltzmann ensemble according its probability. More...
char * | vrna_pbacktrack (vrna_fold_compound_t *vc)
| Sample a secondary structure (consensus structure) from the Boltzmann ensemble according its probability. More...

## Detailed Description

Boltzmann Sampling of secondary structures from the ensemble.

A.k.a. Stochastic backtracking